Skip to main content
POST
/
communication-preferences
/
2026-03
/
links
/
generate
Generate subscription links
curl --request POST \
  --url https://api.hubapi.com/communication-preferences/2026-03/links/generate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "subscriberIdString": "<string>",
  "language": "<string>",
  "subscriptionId": 123
}
'
{
  "managePreferencesUrl": "<string>",
  "subscriberIdString": "<string>",
  "unsubscribeAllUrl": "<string>",
  "unsubscribeSingleUrl": "<string>"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

channel
enum<string>
required
Available options:
EMAIL
businessUnitId
integer<int64>
default:0

Body

application/json
subscriberIdString
string
required

A string representing the unique identifier of the subscriber. This property is required.

language
string

The language in which the generated link should be presented, represented as a string.

subscriptionId
integer<int64>

The unique identifier for the subscription, represented as an integer in int64 format.

Response

successful operation

managePreferencesUrl
string
required

The URL where the subscriber can manage their communication preferences.

subscriberIdString
string
required

A string representing the unique identifier of the subscriber.

unsubscribeAllUrl
string
required

A string containing the URL for unsubscribing the subscriber from all communications.

unsubscribeSingleUrl
string

A string containing the URL to unsubscribe the subscriber from a single communication.

Last modified on March 30, 2026